#!/bin/bash
# Soubor:  test.sh
# Datum:   04.01.2011 09:00
# Autor:   Marek Nožka, marek <@T> tlapicka <dot> net
# Licence: GNU/GPL 
# Úloha:  testování řadících algoritmů
############################################################

binaries="bubbleSort insertSort myqSort quickSort selectSort sqSort"
#binaries="myqSort quickSort sqSort"

run() {
    for prog in $binaries; do
        printf "%12s %s %10s %s %s %s %s\n" "${prog}:" $(./$prog) 
    done
}

make build
run | LC_NUMERIC=C sort -n -k 3 
